# Dependency

interface Dependency

Represents a dependency of an IDEA module.

#### Inheritors

ModuleDependency
ModuleLibrary

## Functions

addToNode
Link copied to clipboard
abstract fun addToNode(parentNode: Node)
getScope
Link copied to clipboard
abstract fun getScope(): String
The scope of this library.
setScope
Link copied to clipboard
abstract fun setScope(scope: String)
The scope of this library.